Loading ...
Sorry, an error occurred while loading the content.

24782Re: [nslu2-linux] updating kernel - /dev/mtdblock3 is not a block device

Expand Messages
  • nslu@pocketnix.org
    Feb 20, 2011
    • 0 Attachment
      On Sun, Feb 20, 2011 at 01:11:25PM -0000, e_zago wrote:
      > Greetings -
      > My NSLU2 has been running lenny for some time; this morning I changed my sources.list to squeeze - ran apt-get-update and apt-get dist-upgrade. That went smoothly, except for the dependency-based services error, but I was able to correct that after the upgrade was done.
      > However - as I noticed that no kernel upgrade was included in the upgrade. My currently installed kernel is: linux-image-2.6.26-2-ixp4xx
      > However - as I noticed that the current version available from Debian is linux-image-2.6.32-5-ixp4xx - which is referred to by the meta-package linux-image-ixp4xx.
      > So - I ran sudo apt-get install linux-image-ixp4xx - and the installation fails with the following error message:

      can you do an ls -lah /dev/mtd* it would from the message above
      indicate that /dev/mtdblock3 is not a black device (could be a file)
      or does not exist (seen enough programs that misreport what caused the
      error when a file is missing)
    • Show all 4 messages in this topic